<?php
include 'header.php';
include 'erpc_orcamento_toolbar.php'; //Nome da tabela _list.php
require_once 'connect.php';
require_once 'inc/messages.php';
require_once 'inc/usuario.php';

checkLogin('login.php');

// capturando o usuário e unidade logado
$usuario_list = getLoggedUser();
$id_usuario=$usuario_list['id'];
$id_unidade=$usuario_list['unidade'];

// Método para post de Query Avançada
	$consulta = "select    p.id,
	                       p.id_status_pedido, 
	                       p.id_cliente, 
	                       p.id_pedido_original,
	                       c.ds_nome, 
	                       p.id_unidade, 
	                       date_format(p.dh_liberacao, '%d/%m/%Y') as data_orcamento,
	                       u.ds_fantasia,
                    	   p.vl_total_produtos,
                           s.fl_fatura,
                           s.ds_path  ,
                           s.ds_status
                    from   erpc_orcamento_liberados p
                    join   erpc_clientes      c
                    	on p.id_cliente = c.id
                    join   erpc_unidades 	  u
                    	on p.id_unidade = u.id
                    join   erpc_dom_status_pedidos s
                        on p.id_status_pedido = s.id
                    where  p.st_ativo = 1 and p.id_unidade=$id_unidade";

	/*Efetuando busca avançada - se passado os parametros
	if(isset($_POST['pesquisar'])) {
		$id         = $_POST['id'];
		$ds_tipo_conversao	= trim($_POST['ds_tipo_conversao']);

	  $consulta .= (!empty($id)  		? " and id like '%$id%'"            : '');
	  $consulta .= (!empty($ds_tipo_conversao)? " and ds_tipo_conversao like '%$ds_tipo_conversao%'"            : '');

	}*/
	
	if(isset($_GET['st_pedido'])){
	    $st_pedido = base64_decode($_GET['st_pedido']);
	    
	    if($st_pedido == 0){
	        $consulta .= " and p.id not in (select id_pedido_original from erpc_pedidos_venda_liberados)";
	    }elseif($st_pedido == 1){
	        $consulta .= " and p.id in (select id_pedido_original from erpc_pedidos_venda_liberados)";
	    }elseif($st_pedido == 2){
	        
	    }   
	}
	
	if(isset($_POST['buscar'])){
	    $st_pedido = base64_decode($_POST['st_pedido']);
	    
	    if($st_pedido == 0){
	        $consulta .= " and p.id not in (select id_pedido_original from erpc_pedidos_venda_liberados)";
	    }elseif($st_pedido == 1){
	        $consulta .= " and p.id in (select id_pedido_original from erpc_pedidos_venda_liberados)";
	    }elseif($st_pedido == 2){
	        
	    }	    
	    
	    if($_POST['dt_inicio'] != '' && $_POST['dt_final'] != ''){
	        $consulta .= " and dh_criacao BETWEEN str_to_date('" . $_POST['dt_inicio']  . "','%d/%m/%Y') and str_to_date('" . $_POST['dt_final'] . "','%d/%m/%Y')";
	    }
	}


?>

<div class="block">
  <div class="header">
  <h2>Lista de Pedidos</h2>
		<div class="side pull-right">
			<button id='btnShow' class="btn btn-default btn-clean">Legenda</button>
		</div>
  </div>
	<div class="block">
		<div class="content">
			<?php
			displayMessagesAndErrors(true); ?>
		</div>
	</div>

  <div class="content">
		<form id=validate_custom method="post" action="erpc_liberar_pedidos_ws.php">
    <div class="table-responsive">
      <table class="table table-bordered table-striped table-responsible sortable">
        <thead>
          <tr>
			<th width=03%>Seleção</th>
			<th width=10%>Nr. Orçamento</th>
			<th width=5%>Cód. Cliente</th>
			<th width=30%>Nome Cliente</th>
			<th width=15%>R$ Vl Total</th>
			<th width=15%>Data</th>
            <th width=05%>Ação</th>
            <!--th width=05%>Ação</th-->
          </tr>
        </thead>
        <tbody>

      <?php

			$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
			if (mysqli_num_rows($resultado)>0) {
            while ($registro = mysqli_fetch_assoc($resultado)){

                        $id      = $registro['id'];
                        $id_crip = base64_encode($id);

						$id_status_pedido = rtrim($registro['id_status_pedido']);
						$id_cliente 			= $registro['id_cliente'];
						$ds_nome 					= $registro['ds_nome'];
						$id_unidade 			= $registro['id_unidade'];
						$ds_fantasia 			= $registro['ds_fantasia'];
						$vl_total_produtos   			= $registro['vl_total_produtos'];
						$dt_orcamento           = $registro['data_orcamento'];
						$id_pedido_orig         = base64_encode($registro['id_pedido_original']);

						$fl_fatura = $registro['fl_fatura'];
		        $ds_path   = $registro['ds_path'];
		        $ds_status = $registro['ds_status'];

			echo "<tr>";
					  // echo "<br>$fl_fatura $id_status_pedido";
						// bloqueia liberação se faturado por sucesso!
						if($id_status_pedido!="1"){
							echo "<td class='text-center'><input type='checkbox' disabled name='id_gera[]' value='$id' class='validade[requerid] form-control' requerid /></td>";
						}else{
							echo "<td class='text-center'><input type='checkbox' name='id_gera[]' value='$id' class='validade[requerid] form-control' requerid /></td>";
						}

						echo "<td>$id</td>";
						echo "<td>$id_cliente</td>";
						echo "<td>" . substr($ds_nome, 0, 20) . "</td>";
						echo "<td>$vl_total_produtos</td>";
						echo "<td>$dt_orcamento</td>";
                        
                        $id_orc = 430;
                        
						echo "<td class='text-center'><a href='erpc_orcamento_pedidos_venda_edit.php?id=$id_pedido_orig'><i class='glyphicon glyphicon-usd' title='Converter em Pedido'><span class='sr-only'>Converter em Pedido</span></i></a>&nbsp;</td>";
						//echo "<td><a target='_blank' href='erpc_orcamento_print.php?id_orc=$id_crip'><i class='glyphicon glyphicon-print' title='Imprimir Recibo'><span class='sr-only'>Imprimir Recibo</span></i></a></td>";
          echo "</tr>";
            }
          }
          ?>
        </tbody>
      </table>
    </div> <!-- table-responsive -->

		<div class="footer">
	    <div class="side pull-right">
	      <div class=btn-group>
	        <!-- <button class="btn btn-default" type="button" onClick="window.history.go(-1)" value="Voltar">Voltar</button> -->
	        <!-- <button class="btn btn-sucess" type="button" value="prosseguir" name="prosseguir1" id="prosseguir1" onClick="ActiveForm('#form2');">Prosseguir</button> -->
	        <!-- <button  name="btn-add" class="btn btn-primary btn-cleanx" type="submit" value="prosseguir" onClick="$('#validate_custom').validationEngine('hide');" name="prosseguir1" id="prosseguir1">Prosseguir</button> -->


          <button  id="btn-voltar" class="btn btn-default btn-cleanx">voltar</button>
					<button  name="btn-liberar" class="btn btn-primary btn-cleanx" type="submit" value="liberar" onClick="$('#validate_custom').validationEngine('hide');" >liberar</button>
	      </div>
	    </div>
	  </div>
	  </form>


		<div class="form-row clear">&nbsp;</div>

    <? include "inc/label_status_pedidos.php" ?>


  </div> <!-- content -->
</div> <!-- block -->
<?php include 'footer.php';?>

<script type="text/javascript" src="js/acme.js"></script>
<style>
#div_label{
  position: absolute;
  top:0px;
  height: 435px;
  width:  300px;
  overflow: auto; 
  overflow-y: hidden;
  background-color: #666666;
  scrollbar-base-color:#ffeaff
}
</style>
